/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.EntCosmos;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.validation.constraints.NotNull;

/**
 * @author obper
 */
@Embeddable
public class WcOpcionesGruposPK implements Serializable {

    @Basic(optional = false)
    @NotNull
    @Column(name = "id_grupo")
    private int idGrupo;
    @Basic(optional = false)
    @NotNull
    @Column(name = "id_opcion")
    private int idOpcion;

    public WcOpcionesGruposPK() {
    }

    public WcOpcionesGruposPK(int idGrupo, int idOpcion) {
        this.idGrupo = idGrupo;
        this.idOpcion = idOpcion;
    }

    public int getIdGrupo() {
        return idGrupo;
    }

    public void setIdGrupo(int idGrupo) {
        this.idGrupo = idGrupo;
    }

    public int getIdOpcion() {
        return idOpcion;
    }

    public void setIdOpcion(int idOpcion) {
        this.idOpcion = idOpcion;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (int) idGrupo;
        hash += (int) idOpcion;
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof WcOpcionesGruposPK)) {
            return false;
        }
        WcOpcionesGruposPK other = (WcOpcionesGruposPK) object;
        if (this.idGrupo != other.idGrupo) {
            return false;
        }
        if (this.idOpcion != other.idOpcion) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.cosmodas.dbcon.WcOpcionesGruposPK[ idGrupo=" + idGrupo + ", idOpcion=" + idOpcion + " ]";
    }

}
